LDAP2DNS(1)

NAME
ldap2dns - LDAP based DNS management system

SYNOPSIS
ldap2dns[d] [-D binddn] [-b searchbase] [-o data|db] [-h host] [-p port] [-w password] [-L[filename]] [-u numsecs] [-v[v]] [-V]

DESCRIPTION
This manual page documents briefly the ldap2dns commands. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page yet.

ldap2dns is an efficient, administration friendly way to maintain DNS information and distribute DNS records to multiple primary DNS servers running djbdns or BIND

OPTIONS
A summary of commanline options is included below.

-D binddn
    Use the distinguished name binddn to bind to the LDAP directory.

-w bindpasswd
    Use bindpasswd as the password for simple authentication.

-b  Use searchbase as the starting point for the search instead of the default.

-o data
    Generate a "data" file to be processed by tinydns-data

-o db
    For each zone generate a "<zonename>.db" file to be used by named

-L[filename]
    Print output in LDIF format for reimport.

-h host
    Hostname of LDAP server, defaults to localhost.

-p port
    Portnumber to connect to LDAP server, defaults to 389

-u numsecs
    Update DNS data after numsecs. Defaults to 59 if started as daemon.

    Important notice: data.cdb is rewritten only after DNSserial in DNSzone is increased.

-e exec-cmd
    This command is executed after ldap2dns regenerated its data files.

-v  Run in verbose mode.

-vv Run in even more verbose mode.

-V  Print version and exit.

ENVIRONMENT

LDAP2DNS_UPDATE The LDAP2DNS_UPDATE environment variable sets the time interval in seconds to update DNS data. This variable is overridden by -u option.

LDAP2DNS_OUTPUT Specify the type of output. It may be set to 'data' so that its output may be used by tinydns. It may be set to 'db' so that its output may be used by

TINYDNSDIR The root-directory used by tinydns, ie. the one in which to tinydns expects its 'data'-file.

FILES

/etc/openldap/ldap.conf
Options specified here fulfil the same purpose as for other ldap-tools.

SEE ALSO

ldap.conf(5), ldapsearch(1), tinydns, named.conf(5).

Please visit the project homepage for more detail: [http://ldap2dns.tiscover.com/]

AUTHOR
This manual page was written by Johann Botha <joe@blio.net>, for the Debian GNU/Linux system and is distributed under the GPL version 2 or later.

Jacob Rief <jacob.rief@tiscover.com> is the original author of this program.